Package org.jbpm.workflow.core.node

## Class ConstraintTrigger

- java.lang.Object
- - org.jbpm.workflow.core.node.Trigger
  - - org.jbpm.workflow.core.node.ConstraintTrigger

- All Implemented Interfaces:
    `Serializable`, `Mappable`, `Constrainable`

      public class ConstraintTrigger
      extends Trigger
      implements Constrainable

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ConstraintTrigger()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `addConstraint​(ConnectionRef connection, Constraint constraint)` | Adds the given constraint.
    `String` | `getConstraint()` |
    `String` | `getHeader()` |
    `void` | `setConstraint​(String constraint)` |
    `void` | `setHeader​(String header)` |

    - ### Methods inherited from class org.jbpm.workflow.core.node.Trigger

      `addInAssociation, addInMapping, addOutAssociation, addOutMapping, getInAssociations, getInMapping, getInMappings, getOutAssociations, getOutMapping, getOutMappings, setInMappings, setOutMappings`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ConstraintTrigger

          public ConstraintTrigger()

  - ### Method Detail

    - #### getConstraint

          public String getConstraint()

    - #### setConstraint

          public void setConstraint​(String constraint)

    - #### getHeader

          public String getHeader()

    - #### setHeader

          public void setHeader​(String header)

    - #### addConstraint

          public void addConstraint​(ConnectionRef connection,
                                    Constraint constraint)

      Description copied from interface: `Constrainable`
      Adds the given constraint. In cases where the constraint is associated with a specific connection, this connection will be identified using a ConnectionRef. In other cases the ConnectionRef will be null and can be ignored.
      Specified by:
        `addConstraint` in interface `Constrainable`